org.apache.xmlbeans

## Class SchemaBookmark

- java.lang.Object
- - org.apache.xmlbeans.XmlCursor.XmlBookmark
  - - org.apache.xmlbeans.SchemaBookmark

-     public class SchemaBookmark
      extends XmlCursor.XmlBookmark

  Represents a Schema bookmark. The XMLSchema compiler will copy the value returned by `getValue()` when this bookmark is found in the XMLStore to the corresponding Schema* objects, and the value will be accessible using the `getUserInfo` method on these objects.
  See Also:
    `SchemaType`, `SchemaField`, `SchemaAttributeGroup`, `SchemaModelGroup`, `SchemaIdentityConstraint`

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.XmlCursor.XmlBookmark

      `_currentMark, _ref`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaBookmark(Object value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getValue()` Getter.

    - ### Methods inherited from class org.apache.xmlbeans.XmlCursor.XmlBookmark

      `createCursor, getKey, toBookmark`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaBookmark

          public SchemaBookmark(Object value)

  - ### Method Detail

    - #### getValue

          public Object getValue()

      Getter. Called during the Schema compilation process.